Referência da APIRule sets
Get rule set
Authorization
ApiKeyAuth x-api-key<token>
Tenant API key
In: header
Path Parameters
id*string
Format
uuidResponse Body
application/json
application/json
application/json
curl -X GET "https://example.com/v1/rule-sets/497f6eca-6276-4993-bfeb-53cbbbba6f08"{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "left_dataset_id": "cb62a89e-6ea5-4cc0-b5b1-5e46e13b5681", "right_dataset_id": "63e40be6-71bb-4521-bff6-3e1b9d7738e8", "engine": "jsonata", "jsonata_expr": "string", "params": { "Tmatch": 0, "Tpossible": 0, "windowDays": 0, "amountTolerancePercent": 0, "filters": [ "string" ], "matchers": [ { "id": "string", "name": "string", "expr": "string", "weight": 0, "required": true } ], "blocking": { "amountKey": "string", "dateKey": "string", "amountKeyLeft": "string", "amountKeyRight": "string", "dateKeyLeft": "string", "dateKeyRight": "string", "amountTolerancePercent": 5, "amountBucketSize": 10, "amountBucketWindow": 2, "dateToleranceDays": 5, "enabled": true }, "composition": { "enabled": true, "direction": "left_to_many_right", "maxGroupSize": 2, "amountTolerancePercent": 0, "amountField": "string", "groupByField": "string", "dateStrategy": "none", "dateFieldLeft": "string", "dateFieldRight": "string", "dateToleranceDays": 0, "allowNegativeAmounts": false, "preferCompleteGroup": false, "skipAlreadyMatched": true, "partial": { "enabled": true, "minMembers": 2, "minCompletionRatio": 0, "uniformityRatio": 0 }, "installmentDiscovery": { "enabled": true, "maxDivisor": 2, "divisorTolerance": 0, "totalCountField": "string", "unitValueField": "string" } } }, "logic_json": {}, "created_at": "2019-08-24T14:15:22Z"}Create rule set from a template
Instantiate a rule set from a template by mapping each `{{variable}}` placeholder to a concrete field path (alphanumeric, `_`, `.` only). Validates that all required variables are mapped, sanitizes values, and rejects unmapped placeholders remaining in the resolved expression or params.
List rule sets
Next Page

